Bug 552529 - kvm: migration: mechanism to make older savevm versions to be emitted on some cases
Summary: kvm: migration: mechanism to make older savevm versions to be emitted on some...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.5
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Juan Quintela
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 541731
Blocks: 553441
TreeView+ depends on / blocked
 
Reported: 2010-01-05 12:23 UTC by RHEL Program Management
Modified: 2013-01-09 22:10 UTC (History)
11 users (show)

Fixed In Version: kvm-83-105.el5_4.16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-09 10:02:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0088 0 normal SHIPPED_LIVE Important: kvm security and bug fix update 2010-02-09 10:01:51 UTC

Description RHEL Program Management 2010-01-05 12:23:21 UTC
This bug has been copied from bug #541731 and has been proposed
to be backported to 5.4 z-stream (EUS).

Comment 9 Juan Quintela 2010-01-25 15:41:54 UTC
5.5.4 is 5.4.4 I would guess.
Fix is needed for 5.4.4, not sure if that impacts RHEV-2.1.

Comment 13 Juan Quintela 2010-01-25 16:35:23 UTC
    What are you using for testing?

    Case 8 works for me (5.5.0 -> 5.5.0) both started with -M rhel5.4.4

    Packages installed are:

    [root@ninfa ~]# rpm -qa kvm kmod-kvm
    kmod-kvm-83-147.el5
    kvm-83-147.el5
    [root@ninfa ~]# uname -a
    Linux ninfa.mitica 2.6.18-185.el5 #1 SMP Thu Jan 14 16:44:40 EST 2010 x86_64
    x86_64 x86_64 GNU/Linux

    Installing 5.4.4 to be able to test case 10.

Comment 15 Lawrence Lim 2010-01-26 02:19:55 UTC
(In reply to comment #9)
> 5.5.4 is 5.4.4 I would guess.
> Fix is needed for 5.4.4, not sure if that impacts RHEV-2.1.    

Yes, there will be impact, as a respin of kvm would require a respin of RHEV-2.1 as well to include the latest kvm package.

Comment 16 lihuang 2010-01-26 05:20:16 UTC
(In reply to comment #13)
>     What are you using for testing?
> 
>     Case 8 works for me (5.5.0 -> 5.5.0) both started with -M rhel5.4.4

Hi
Case 8 is 5.5.0->5.4.4 both started with -M rhel5.4.4, "load of migration failed" error won't be reported on qemu monitor. but if you connect to dst's vnc,you can find there is only black screen. ( sorry,Case 8 and Case 10 has different result,I should clarify early )

and 5.5.0->5.5.0 both started with -M rhel5.4.4 also works for us.


> 
>     Packages installed are:
> 
>     [root@ninfa ~]# rpm -qa kvm kmod-kvm
>     kmod-kvm-83-147.el5
>     kvm-83-147.el5
>     [root@ninfa ~]# uname -a
>     Linux ninfa.mitica 2.6.18-185.el5 #1 SMP Thu Jan 14 16:44:40 EST 2010
> x86_64
>     x86_64 x86_64 GNU/Linux
> 
>     Installing 5.4.4 to be able to test case 10.

Comment 20 Juan Quintela 2010-01-26 13:23:30 UTC
Noticed that this bugzilla is for 5.4.z.  Problem and patch is fixed in 5.5.  5.4.z has nothing to change to fix this bug.  Should I close this bug?
557327 is a 5.5 bug already.

Comment 21 Eduardo Habkost 2010-01-26 13:41:51 UTC
This bug may be moved back to ON_QA so it can be tested. But please note that full testing of this depends on fixing the -M 5.4.4 code on RHEL-5.5 (bug 557327).

Comment 24 errata-xmlrpc 2010-02-09 10:02:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0088.html


Note You need to log in before you can comment on or make changes to this bug.